<!DOCTYPE html>
<html>

	<head>
		<meta charset="UTF-8">
		<title>sage</title>
		<link rel="stylesheet" type="text/css" href="css/easyui.css">
		<link rel="stylesheet" type="text/css" href="css/icon.css">
		<script type="text/javascript" src="js/lib/jquery.min.js"></script>
		<script type="text/javascript" src="js/lib/jquery.easyui.min.js"></script>
	</head>

	<body>
		<div class="seach_form_box box_shadow border5 clearfix margin20">
			<div class="seach_form">
				<form id="comTaskForm" method="post">
					<ul class="clearfix">
						<li>
							<div>
								<span>任务状态:</span>
								<input type="hidden" name="lastStatus" id="" value="" />
								<input id="taskStatus" size="16" type="text" class="form-control" value="" input-type="select" readonly>
								<ul class="dropdown-menu" data="$.TASK_LAST_STATUS">
									<li data-id="">
										<a href="javascript:;" style="color:#cdcdcd;">--请选择--</a>
									</li>
								</ul>
								<i class="input_icon input_down"></i>
							</div>
						</li>
						<li>
							<div>
								<span>是否工作</span>
								<input type="hidden" name="isJob" id="" value="" />
								<input size="16" type="text" class="form-control" value="" input-type="select" readonly>
								<ul class="dropdown-menu" data="$.IS_JOB">
									<li data-id="">
										<a href="javascript:;" style="color:#cdcdcd;">--请选择--</a>
									</li>
								</ul>
								<i class="input_icon input_down"></i>
							</div>
						</li>
						<!-- <li>
							<div>
								<span>任务类型:</span>
								<input type="hidden" name="taskTypeId" id="" value="" />
								<input size="16" type="text" class="form-control" value="" input-type="select" readonly>
								<ul class="dropdown-menu" data="$.TASK_TYPE">
									<li data-id="">
										<a href="javascript:;" style="color:#cdcdcd;">--请选择--</a>
									</li>
								</ul>
								<i class="input_icon input_down"></i>
							</div>
						</li> -->
					</ul>
					<button id="seachTask" type="button" class="btn common_content_seacch_btn"></button>
				</form>
			</div>
		</div>
		<div class="common_content_table box_shadow border10">
			<table id="comTaskTable" class="easyui-datagrid" style="width:100%;height:400px" data-options="pagination:true,singleSelect:true,collapsible:true,method:'get'">
				<thead>
					<tr>
						<th data-options="field:'taskId',hidden:true"></th>
						<th data-options="field:'taskName',width:180,align:'center',halign:'center'">任务名称</th>
						<th data-options="field:'startDate',width:200,align:'center',halign:'center'
							,formatter : function(value, row, index) {return getDateString(value);}">开始日期</th>
						<th data-options="field:'endDate',width:200,align:'center',halign:'center'
							,formatter : function(value, row, index) {return getDateString(value);}">结束日期</th>
						<th data-options="field:'taskTypeName',width:180,align:'center',halign:'center'">任务类型</th>
						<th data-options="field:'lastStatus',width:150,align:'center',halign:'center'
							,formatter : function(value) {return $.TASK_LAST_STATUS.getText(value);}">任务状态</th>
						<th data-options="field:'isJob',width:150,align:'center',halign:'center'
							,formatter : function(value) {return $.IS_JOB.getText(value);}">是否工作</th>
					</tr>
				</thead>
			</table>
		</div>
		<script type="text/javascript">
			$(function() {
				require(['view/sys/taskManage'], function(re) {
					re.init();
				});
			});
		</script>
	</body>

</html>